<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_invitation', language 'ar', version '5.0'.
 *
 * @package     local_invitation
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['available_from'] = 'متاح من:';
$string['available_to'] = 'متاح إلى:';
$string['back_to_course'] = 'عودة إلى مساقك';
$string['clipboard'] = 'الحافظة';
$string['consent'] = 'الموافقة (إختياري)';
$string['consent_help'] = 'إذا وضعت نصًا للموافقة، ستظهر خانة تأشير للمستخدمين المدعويين وعليهم تأشيرها.';
$string['consent_title'] = 'التأكيد';
$string['current_invitation'] = 'الدعوة الحالية';
$string['current_invitation_note'] = 'إذا أنشأت دعوة جديدة، ستصير الدعوة السابقة غير صالحة تلقائيًا.';
$string['delete_after_logout'] = 'الحذف بعد تسجيل الخروج';
$string['delete_after_logout_help'] = 'حذف المستخدم مباشرة بعد تسجيل خروجه. طالما كان ذلك مفعلاً، لن تتمكن من مشاهدة هذا المستخدم في سجل وقوعات مساقك.';
$string['delete_confirmation'] = 'هل ترغب في حذف هذه الدعوة؟ بعد ذلك، لن يكون بالإمكان استعمال رابط الدعوة.';
$string['delete_invitation'] = 'حذف الدعوة';
$string['edit_invitation'] = 'تحرير الدعوة للوصول المؤقت إلى المساق';
$string['error_could_not_create_and_enrol'] = 'خطأ: تعذر إنشاء المستخدم الجديد وضمه!';
$string['error_invalid_invitation'] = 'خطأ: هذه الدعوة غير صالحة!';
$string['error_invitation_not_active'] = 'خطأ: ميزة الدعوة غير مفعلة في هذا النظام.';
$string['error_invitation_usegroup_no_group'] = 'استعمال المجموعات مفعل، ولكن لم يتم اختيار أي مجموعة!';
$string['error_invitation_usegroup_no_groupname'] = 'استعمال المجموعة الجديدة مفعل، ولكن اسم المجموعة مفقود!';
$string['error_timeend_can_not_be_before_timestart'] = 'لا يمكن أن تنتهي الدعوة قبل بدئها.';
$string['error_timeend_can_not_be_in_past'] = 'لا يمكن أن تنتهي الدعوة في الماضي.';
$string['error_userrole_not_defined'] = 'لم تتم تهيئة دور المستخدم في ملف التهيئة config. يرجى التواصل مع مشرفك!';
$string['expiration_time'] = 'وقت انتهاء الصلاحية (بالأيام)';
$string['expiration_time_help'] = 'حساب المستخدم المنشأ بهذا الملحق ستنتهي صلاحيته بعد عدد الأيام المعرف. الحساب المنتهية صلاحيته ستتم إزالة هويته ومن ثم حذفه لاحقًا.';
$string['free_slots'] = 'الخانات الفارغة:';
$string['group_created_by_invitation'] = 'تم إنشاء المجموعة من قبل الدعوة';
$string['group_not_found'] = 'المجموعة غير موجودة';
$string['guestuser_suffix'] = '(ضيف)';
$string['info_already_loggedin'] = 'أنت مسجل لدخولك مسبقًا. إذا تابعت، سيتم تسجيل خروجك.';
$string['invitation'] = 'الدعوة';
$string['invitation:manage'] = 'إدارة الدعوات';
$string['invitation_created'] = 'تم إنشاء الدعوة بنجاح.';
$string['invitation_delete_note_timeandlogout'] = 'الحساب المؤقت والبيانات ذات الصلة يتم حذفها تلقائيًا بمجرد تسجيل المستخدم لخروجه، ولكن على أقل تقدير بعد {$a}.';
$string['invitation_delete_note_timeonly'] = 'الوصول المؤقت والبيانات ذات الصلة يتم حذفها تلقائيًا بعد {$a}.';
$string['invitation_deleted'] = 'تم حذف الدعوة بنجاح.';
$string['invitation_is_not_allowed'] = 'غير مسموح لك بدعوة المستخدمين.';
$string['invitation_note'] = 'يمكنك استعمال وظيفة الدعوة لتمنح وصولاً مؤقتًا إلى هذا المساق. رابط الدعوة المنشأ يسمح للمستخدمين بالوصول إلى المساق حتى وإن لم يكن لديهم حساب نظامي في الموقع.';
$string['invitation_updated'] = 'تم تحديث الدعوة بنجاح.';
$string['invite_participants'] = 'دعوة جديدة للوصول المؤقت إلى المساق';
$string['join'] = 'إنضم';
$string['link_copied'] = 'الرابط قد تم نسخه';
$string['max_users'] = 'أقصى عدد من المستخدمين';
$string['max_users_per_invitation'] = 'أقصى عدد من المستخدمين لكل دعوة';
$string['nameinfo'] = 'معلومة الاسم';
$string['nameinfo_help'] = 'مع هذا النص يمكنك تعريف توضيح موجز عن كيفية استعمال حقل الاسم في صيغة الانضمام.';
$string['no_group_defined'] = 'لم يتم تعريف أي مجموعة';
$string['none_existing_group_info'] = 'هذه المجموعة غير موجودة وسيتم إنشاؤها.';
$string['note'] = 'ملاحظة:';
$string['pluginname'] = 'الدعوة';
$string['preventactions'] = 'إجراءات المنع';
$string['preventactions_help'] = '<strong>ملاحظة:</strong> يمكنك تعريف الروابط أو أجزائها التي لا ينبغي للمستخدمين المدعوين طلبها.<br>
إذا طلب المستخدم المدعو هكذا روابط ستتم إعادة توجيهه إلى مساقه أو إلى صفحة واجهة مودل.<br>
ينبغي عليك أن لا تضع دفة القيادة أو صفحة الواجهة في هذه القائمة!';
$string['qrcode'] = 'رمز الاستجابة السريعة';
$string['remove_old_invitations'] = 'إزالة المستخدمين القدامى';
$string['search_or_create_group'] = 'البحث في المجموعة أو إنشائها';
$string['show_icon_in_usernavigation'] = 'إظهار الأيقونة في تنقل المستخدم';
$string['showqrcode'] = 'إظهار رمز الاستجابة السريعة';
$string['single_name_field'] = 'حقل الاسم المفرد';
$string['single_name_field_help'] = 'عند تأشير "حقل الاسم المفرد"، سيتطلب من المستخدم تحديد اسم مفرد فقط بدلاً من الاسم الأول والاسم الأخير. فضلاً عن ذلك ستكون هناك لاحقة ملحقة بالاسم.';
$string['systemrole'] = 'دور النظام';
$string['systemrole_help'] = 'إذا تم تعريف دور النظام، سيتم تعيين المستخدم المدعو بهذا الدور. يمكن استعمال ذلك لتقييد المستخدم المدعو على مستوى النظام.';
$string['timeend'] = 'وقت الانتهاء';
$string['timestart'] = 'وقت البدء';
$string['usedslots'] = 'مستعمل:';
$string['usegroup'] = 'استعمال المجموعة';
$string['userrole'] = 'دور المستخدم';
$string['welcome_note'] = 'مرحبًا {$a->firstname} {$a->lastname}!';
